List of all members
clan::ColorHSVx< Type, ColorType > Class Template Reference
clanDisplay 2D

Color HSV description class. More...

`#include <color_hsv.h>`

## Public Member Functions
Construction
| ColorHSVx ()
| Constructs a color. More...
| ColorHSVx (Type h, Type s, Type v, Type a)
| ColorHSVx (const ColorHSVx< Type, ColorType > &copy)
| ColorHSVx (const Color &color)
| ColorHSVx (const Colorf &color)
Operators
| operator ColorType ()
ColorHSVx< Type, ColorType > & | operator= (const ColorHSVx< Type, ColorType > &copy)
| = operator. More...
bool | operator== (const ColorHSVx< Type, ColorType > &color) const
| == operator. More...
bool | operator!= (const ColorHSVx< Type, ColorType > &color) const
| != operator. More...

## Public Attributes
Attributes
Type | h
Type | s
Type | v
Type | a

## Detailed Description

### template<typename Type, typename ColorType>
class clan::ColorHSVx< Type, ColorType >

Color HSV description class.

These templates are defined for: int (ColorHSVi), float (ColorHSVf), double (ColorHSVd)

The documentation for this class was generated from the following file:

- color_hsv.h